=== debian/changelog ===
ppp (2.4.5-3) unstable; urgency=low

  * 'Optified' package.
  * Added dependency on Enhanced Kernel.

 -- unknown <gjames@mail>  Fri,  29 Jul 2011 08:01:34 -0500
