=== debian/control ===
Source: ppp
Section: user/network 
Priority: standard
Maintainer: unknown <gjames@mail>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: ppp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-ppp
Description: The Point-to-Point Protocol provides a standard way to transmit datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics of the link.  This package is most commonly used to manage a modem for dial-up or certain kinds of broadband connections. Requires a compatible kernel, e.g kernel-power (>=46)
