=== debian/changelog ===
ppp (2.4.5-4) unstable; urgency=low

  * Removed dependency on Enhanced Kernel.

 -- unknown <gjames@mail>  Fri,  11 Aug 2011 09:01:26 -0500
