## ppp 2.4.6

=== debian/changelog ===
ppp (2.4.6-3~bpo70+1) stable; urgency=medium

  * Backported to wheezy.

 -- Wessel Dankers <W.S.L.Dankers@uvt.nl>  Fri, 02 Jan 2015 22:02:34 +0100

ppp (2.4.6-3) unstable; urgency=high

  * Urgency high due to fix for CVE-2014-3158.
  * Cherry-pick patches from 2.4.7 upstream release. These are 9 of 11 patches
    in the 2.4.7 upstream release of PPP, including the fix for CVE-2014-3158.
    The two patches left out were not imported in order to preserve ABI
    stability. (Closes: #762789)
    - ppp-2.4.7-001-pppd-Separate-IPv6-handling-for-sifup-sifdown.patch
    - ppp-2.4.7-002-pppol2tp-Connect-up-down-events-to-notifiers-and-add.patch
    - ppp-2.4.7-003-pppd-Add-declarations-to-eliminate-compile-warnings.patch
    - ppp-2.4.7-004-pppd-Eliminate-some-unnecessary-ifdefs.patch
    - ppp-2.4.7-005-radius-Fix-realms-config-file-option.patch
    - ppp-2.4.7-006-pppd-Eliminate-potential-integer-overflow-in-option-.patch
    - ppp-2.4.7-007-pppd-Eliminate-memory-leak-with-multiple-instances-o.patch
    - ppp-2.4.7-008-pppd-Fix-a-stack-variable-overflow-in-MSCHAP-v2.patch
    - ppp-2.4.7-009-winbind-plugin-Add-DMPPE-1-to-eliminate-compiler-war.patch
  * Refresh debian/patches/cifdefroute.dif
  * Update Standards-Version to 3.9.6 (no changes required).

 -- Chris Boot <debian@bootc.net>  Sun, 19 Oct 2014 10:47:59 +0100

ppp (2.4.6-2) unstable; urgency=medium

  * d/rules: Fix ppp-udeb module path by using a shell expression for PPPDDIR.
  * Update Breaks for network-manager to (<< 0.9.8.8-7~). (Closes: #744814)
  * Update Breaks for network-manager-pptp and pppdcapiplugin.
  * Update lintian overrides to account for changed plugin path.

 -- Chris Boot <debian@bootc.net>  Thu, 17 Apr 2014 22:19:23 +0100

ppp (2.4.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #718873)
  * Enable GPG signature checking for uscan:
    - Add pgpsigurlmangle option to debian/watch
    - Add debian/upstream/signing-key.asc
    - Remove linitian override for debian-watch-may-check-gpg-signature

 -- Chris Boot <debian@bootc.net>  Sun, 13 Apr 2014 23:22:19 +0100

ppp (2.4.5+git20130610-4) unstable; urgency=medium

  * Remove obsolete --update-rcd-params from dh_installinit. (Closes: #727162)
  * Remove obsolete Build-Depends on quilt.
  * Add systemd service file for ppp-dns: (Closes: #716864)
    - Build-Depend on dh-systemd
    - Use dh_installinit --name instead of --init-script
    - Add dh_systemd_enable and dh_systemd_start to debian/rules
    Thanks to Shawn Landden for providing a patch.
  * Add LSB Description header to init script.
  * Make init script source /lib/lsb/init-functions for systemd compatibility.
  * Override a number of lintian tags:
    - init.d-script-does-not-implement-optional-option etc/init.d/pppd-dns
        status
    - non-standard-dir-perm etc/chatscripts/ and etc/ppp/peers/
    - package-contains-readme-for-other-platform-or-distro
        usr/share/doc/ppp/README.win9x
    - setuid-binary usr/sbin/pppd
    - debian-watch-may-check-gpg-signature
    See the lintian overrides files for reasoning.
  * Add support for arbitrary interface naming: (Closes: #458646)
    - Add debian/patches/ppp-2.4.2-ifname.diff based on openSUSE patch.
  * Fix a potential buffer overflow in the radius plugin:
    - Add debian/patches/ppp-2.4.4-strncatfix.patch from openSUSE.
  * Update debian/copyright:
    - Add myself to the list of maintainers
    - Change reference to GPL symlink license to GPL-2
  * Update Standards-Version to 3.9.5 (no changes required).
  * Refresh debian/patches/cifdefroute.dif from OpenSUSE (Closes: #425163) and
    add patch header.

 -- Chris Boot <debian@bootc.net>  Mon, 27 Jan 2014 22:17:11 +0000

ppp (2.4.5+git20130610-3) unstable; urgency=medium

  * Revisit debian/rules and Makefile patches due to build breakage exposed by
    the addition of hardening build flags. (Closes: #734458)
    - Update debian/rules to pass COPTS/LDOPTS instead of CFLAGS/LDFLAGS.
    - Overhaul makefiles_cleanup patch. This now makes far fewer changes to the
      upstream Makefiles than previously.
    - Refresh no_crypt_hack, pppdump_use_zlib, pppoatm_resolver_light and
      zzz_config patches due to significant Makefile changes.
    Thanks to Marco d'Itri for the bulk of the Makefile work.

 -- Chris Boot <debian@bootc.net>  Tue, 07 Jan 2014 17:54:08 +0000

ppp (2.4.5+git20130610-2) unstable; urgency=low

  [ David Prévot ]
  * Add missing prepending underscore in templates. Closes: #686255

  [ Debconf translation updates ]
  * Chinese — China, Zhi Li.
  * Chinese — Taiwan, Ｖ字龍.
  * French, David Prévot.
  * Turkish, Deniz Bahadır GÜR.
  * Vietnamese, Nguyễn Vũ Hưng.
  * Slovak, Slavko (Closes: #686273)
  * Danish, Joe Hansen (Closes: #686289)
  * Russian, Yuri Kozlov (Closes: #686354)
  * Basque, Dooteo (Closes: #686415)
  * Swedish, Martin Bagge. (Closes: #686443)
  * Romanian, Andrei Popescu. (Closes: #686556)
  * Polish, Michał Kułach. (Closes: #686603)
  * German, Chris Leick. (Closes: #686609)
  * Dutch, Jeroen Schot. (Closes: #686660)
  * Portuguese, Carlos Lisboa. (Closes: #686700)
  * Brazilian Portuguese, J. S. Júnior. (Closes: #686713)
  * Japanese, victory. (Closes: #686721)
  * Spanish, Rafael Ernesto Rivas, Javier Fernandez-Sanguino Peña.
    (Closes: #686722, #686769)
  * Czech, Michal Šimůnek. (Closes: #687183)

  [ Chris Boot ]
  * Incorporate David Prévot's debconf translation updates patch from #686255.
  * Fix lintian warnings:
    - debian-rules-missing-recommended-target build-arch
    - debian-rules-missing-recommended-target build-indep
    - package-would-benefit-from-build-arch-targets
  * Add radius-config.c-unkown-typo patch to fix spelling-error-in-binary
    lintian warning.
  * Add secure-card-interpreter-fix patch to fix
    example-wrong-path-for-interpreter lintian warning.
  * Remove always_setsid patch. (Closes: #598551)
  * Add Vcs-Browser and Vcs-Git fields pointing to collab-maint/pkg-ppp.git.

