=== debian/control ===
Source: ppp
Section: admin
Priority: optional
Homepage: http://ppp.samba.org/
Maintainer: Marco d'Itri <md@linux.it>
Uploaders: Chris Boot <debian@bootc.net>
Build-Depends: debhelper (>= 5), libpcap0.8-dev, libpam0g-dev, zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pkg-ppp.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-ppp.git

Package: ppp
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, libpam-runtime, procps
Breaks: network-manager (<< 0.9.8.8-7~), network-manager-pptp (<< 0.9.8.4-3~), pppdcapiplugin (<< 1:3.25+dfsg1-3.4~)
Description: Point-to-Point Protocol (PPP) - daemon
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package is most commonly used to manage a modem for dial-up or
 certain kinds of broadband connections.

Package: ppp-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection, ppp-modules, di-utils
Provides: configured-network
XB-Installer-Menu-Item: 1700
Description: Point-to-Point Protocol (PPP) - package for Debian Installer
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package is a minimal ppp package used by the Debian Installer.

Package: ppp-dev
Section: devel
Architecture: all
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Point-to-Point Protocol (PPP) - development files
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package provides files needed to build pppd-related software.
