## ppp 2.4.7

=== debian/changelog ===
ppp (2.4.7-2+2ubuntu1.3) bionic-security; urgency=medium

  * SECURITY UPDATE: arbitrary file disclosure vulnerability
    - debian/patches/load_ppp_generic_if_needed: removed, ppp has been
      built into Ubuntu kernels since at least 2012.
    - CVE-2020-15704

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Jul 2020 08:55:31 -0400

ppp (2.4.7-2+2ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: rhostname buffer overflow
    - debian/patches/CVE-2020-8597.patch: fix bounds check in EAP code in
      pppd/eap.c.
    - CVE-2020-8597

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 Feb 2020 10:05:26 -0500

ppp (2.4.7-2+2ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 Jun 2018 13:20:17 -0400

ppp (2.4.7-2+2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols: updated for Ubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Mar 2018 20:37:19 +0100

ppp (2.4.7-2+2) unstable; urgency=medium

  * Correct a bug in MS-CHAP authentication introduced in 2.4.7-2+1~exp1 which
    prevented such authentication from working altogether. (Closes: #891413)

 -- Chris Boot <bootc@debian.org>  Sun, 25 Feb 2018 22:28:25 +0000

ppp (2.4.7-2+1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols: updated for Ubuntu.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Feb 2018 14:11:03 +0100

ppp (2.4.7-2+1) unstable; urgency=medium

  [ Алексей Шилин ]
  * debian-installer udeb: use /bin/ip instead of /sbin/ifconfig in the
    interfaces configuration for the installed system. (Closes: #889295)

  [ Chris Boot ]
  * Upload to unstable.

 -- Chris Boot <bootc@debian.org>  Sat, 17 Feb 2018 10:19:58 +0000

ppp (2.4.7-2+1~exp1) experimental; urgency=medium

  * Switch to debhelper compat level 11.
    - Set debian/compat to 11.
    - Bump Build-Depends on debhelper to >= 11~.
    - Remove Build-Depends on dh-systemd.
    - Remove implicit --with systemd from debian/rules.
    - Switch to dh_installsystemd helper.
  * Update Standards-Version to 4.1.3:
    - Remove Priority extra from ppp-dev.
  * debian/rules: use dpkg helpers for parsing debian/changelog.
  * Incorporate the EAP-TLS patch for pppd: (Closes: #602503)
    - debian/patches/eaptls-mppe.patch: add ppp-2.4.7-eaptls-mppe-0.999.patch.
    - debian/control: add libssl-dev to Build-Depends.
    - debian/changelog: bump the ABI revision number to account for removed
      symbols (MD5 now comes from OpenSSL).
    - debian/rules: don't include EAP-TLS support in the udeb build.
  * debian/changelog: remove trailing whitepace.
  * Switch to OpenSSL implementations of MD4, MD5 and SHA1: (Closes: #826625)
    - debian/patches/replace-vendored-hash-functions.patch: remove embedded
      crypto code copies, unconditionally link with libcrypto, update
      includes, amend call sites as required.
    - debian/ppp.symbols: remove dropped symbols.
  * Import patches added to upstream Git since the 2.4.7 upstream release,
    correcting numerous minor bugs. Of note:
    - 0002-pppd-add-support-for-defaultroute-metric-option.patch: this patch
      is NOT currently applied due to conflicts with the cifdefroute.dif
      patch, which adds the replacedefaultroute and noreplacedefaultroute
      options.
    - 0013-pppd-allow-use-of-arbitrary-interface-names.patch: upstream import
      of our ppp-2.4.2-ifname.diff patch.
    - 0016-pppoe-include-netinet-in.h-before-linux-in.h.patch: upstream patch
      that replaces our fix-rp-pppoe-ftbfs.patch.
    - Refreshed 018_ip-up_option.diff and makefiles_cleanup on top of the new
      patches.
  * Tweak pon and poff bash-completions files for new versions of
    bash-completion. (Closes: #882199)
  * debian/ppp-udeb.postinst: consider interface names using udev predictable
    interface naming. (Closes: #873391)
  * d/control: declare that the build requires root.
  * Move packaging from Alioth to Salsa.
  * Upload to experimental.

 -- Chris Boot <bootc@debian.org>  Sun, 11 Feb 2018 19:17:06 +0000

ppp (2.4.7-1+4ubuntu3) bionic; urgency=high

  * Replace debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch with
    debian/patches/ppp-2.4.7-eaptls-mppe-0.999.patch:
    - Use a modified, newer patch for the EAP-TLS/MPPE support that works with
      openssl1.1. Fixes FTBFS.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Feb 2018 01:11:51 +0100

ppp (2.4.7-1+4ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:03 +0000

ppp (2.4.7-1+4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.

